#ifndef E_KBD_DICT_H
#define E_KBD_DICT_H

typedef struct _E_Kbd_Dict E_Kbd_Dict;
typedef struct _E_Kbd_Dict_Match E_Kbd_Dict_Match;

struct _E_Kbd_Dict_Match
{
   const char *word;
   int distance; 
};

EAPI int e_kbd_dict_init(void);
EAPI int e_kbd_dict_shutdown(void);

EAPI E_Kbd_Dict *e_kbd_dict_new(void);
EAPI void        e_kbd_dict_free(E_Kbd_Dict *kd);
EAPI void        e_kbd_dict_dict_dir_set(E_Kbd_Dict *kd, const char *path);
EAPI void        e_kbd_dict_changes_save(E_Kbd_Dict *kd);

#endif
