#include <e.h>
#include "e_kbd_dict.h"

#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>
#include <sys/mman.h>

typedef struct _E_Kbd_Dict_File E_Kbd_Dict_File;

struct _E_Kbd_Dict
{
//   Dict_Node *dict;
   Evas_List *dict_files;
   Evas_List *new_words;
};

struct _E_Kbd_Dict_File
{
   struct {
      const char *path;
      int fd;
      int size;
      const char *words;
   } file;
   Evas_Bool writable : 1;
   Evas_Bool changed : 1;
};

EAPI int
e_kbd_dict_init(void)
{
   return 1;
}

EAPI int
e_kbd_dict_shutdown(void)
{
   return 1;
}

EAPI E_Kbd_Dict *
e_kbd_dict_new(void)
{
}

EAPI void
e_kbd_dict_free(E_Kbd_Dict *kd)
{
}

EAPI void
e_kbd_dict_dict_dir_set(E_Kbd_Dict *kd, const char *path)
{
}

EAPI void
e_kbd_dict_changes_save(E_Kbd_Dict *kd)
{
}

// // //

EAPI void
e_kbd_dict_layout_clear(E_Kbd_Dict *kd)
{
}

EAPI void
e_kbd_dict_layout_key_add(E_Kbd_Dict *kd, const char *chr, int x, int y, int w, int h)
{
}

EAPI void
e_kbd_dict_match_fuzz_set(E_Kbd_Dict *kd, int fuzz)
{
}

// FIXME: this needs to be co-ordinates, not a word
EAPI Evas_List *
e_kbd_dict_matches_get(E_Kbd_Dict *kd, const char *word)
{
}

EAPI void
e_kbd_dict_matches_free(Evas_List *matches)
{
}

EAPI void
e_kbd_dict_word_usage_adjust(E_Kbd_Dict *kd, const char *word, int adjust)
{
}

// for now - no need to implement
EAPI void
e_kbd_dict_lang_add(E_Kbd_Dict *kd, const char *lang)
{
}

EAPI void
e_kbd_dict_lang_del(E_Kbd_Dict *kd, const char *lang)
{
}

EAPI const Evas_List *
e_kbd_dict_lang_list_get(E_Kbd_Dict *kd)
{
}

